Main Page Modules Data Structures File List Data Fields Globals Related Pages

# WinPcap Data Fields

a | b | c | d | e | f | h | i | j | k | l | m | n | o | p | r | s | t | u | v | w

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- Accepted : __CPU_Private_Data
- activeclose : daemon_slpars
- AdapterHandle : _OPEN_INSTANCE
- AdapterName : _DEVICE_EXTENSION
- addr : rpcap_findalldevs_ifaddr, pcap_addr
- address : active_pars
- addresses : pcap_if
- ai_family : active_pars

### - b -

- bf_insns : bpf_program
- bf_len : bpf_program
- bh_caplen : bpf_hdr
- bh_datalen : bpf_hdr
- bh_hdrlen : bpf_hdr
- bh_tstamp : bpf_hdr
- bIoComplete : _PACKET
- Bound : _OPEN_INSTANCE
- bpf_pc : binary_stream
- bpfprogram : _OPEN_INSTANCE
- broadaddr : rpcap_findalldevs_ifaddr, pcap_addr
- Broadcast : npf_if_addr
- bs_capt : pcap_stat, bpf_stat
- bs_drop : bpf_stat
- bs_recv : bpf_stat
- buffer : pcap_send_queue
- Buffer : __CPU_Private_Data, _PACKET
- BufferMdl : _OPEN_INSTANCE
- bufsize : rpcap_startcapreply

### - c -

- C : __CPU_Private_Data
- caplen : rpcap_pkthdr, pcap_pkthdr, sf_pkthdr, dump_bpf_hdr
- code : rpcap_filterbpf_insn, bpf_insn
- CountersLock : _OPEN_INSTANCE
- Cpu : _PACKET_RESERVED
- CpuData : _OPEN_INSTANCE
- cur_ip : binary_stream

### - d -

- Data : _PACKET_OID_DATA
- desclen : rpcap_findalldevs_if
- description : pcap_if
- DeviceExtension : _OPEN_INSTANCE
- dlt : linktype_map, dlt_choice
- Dropped : __CPU_Private_Data
- dstaddr : rpcap_findalldevs_ifaddr, pcap_addr
- dummy : rpcap_auth, rpcap_filter, rpcap_startcapreply, rpcap_findalldevs_if
- DumpEvent : _OPEN_INSTANCE
- DumpFileHandle : _OPEN_INSTANCE
- DumpFileName : _OPEN_INSTANCE
- DumpFileObject : _OPEN_INSTANCE
- DumpLimitReached : _OPEN_INSTANCE
- DumpOffset : _OPEN_INSTANCE
- DumpThreadHandle : _OPEN_INSTANCE
- DumpThreadObject : _OPEN_INSTANCE

### - e -

- ExportString : _DEVICE_EXTENSION

### - f -

- Filter : _OPEN_INSTANCE
- filtertype : rpcap_filter
- flags : rpcap_startcapreq, rpcap_findalldevs_if, pcap_if
- Free : __CPU_Private_Data
- FreeBufAfterWrite : _PACKET_RESERVED
- Function : JIT_BPF_Filter

### - h -

- hdr : pkt_for_fakecallback, singleton
- header : PacketHeader
- hEvent : _PACKET
- hFile : _ADAPTER
- host : activehosts

### - i -

- ibuf : binary_stream
- ifdrop : rpcap_stats
- ifrecv : rpcap_stats
- Internal : _INTERNAL_REQUEST
- IOEvent : _OPEN_INSTANCE
- IOStatus : _OPEN_INSTANCE
- IPAddress : npf_if_addr
- Irp : _PACKET_RESERVED, _INTERNAL_REQUEST
- isactive : daemon_slpars

### - j -

- jf : rpcap_filterbpf_insn, bpf_insn
- jt : rpcap_filterbpf_insn, bpf_insn

### - k -

- k : rpcap_filterbpf_insn, bpf_insn
- krnldrop : rpcap_stats

### - l -

- len : rpcap_pkthdr, pcap_send_queue, pcap_pkthdr, sf_pkthdr, dump_bpf_hdr
- Length : _PACKET_OID_DATA, _PACKET
- LinkSpeed : NetType
- LinkType : NetType
- linktype : rpcap_openreply, linktype_map, pcap_file_header, packet_file_header
- ListElement : _PACKET_RESERVED, _INTERNAL_REQUEST

### - m -

- m : chunk
- MachineLock : _OPEN_INSTANCE
- magic : pcap_file_header, packet_file_header
- MaxDumpBytes : _OPEN_INSTANCE
- MaxDumpPacks : _OPEN_INSTANCE
- MaxFrameSize : _OPEN_INSTANCE
- maxlen : pcap_send_queue
- Medium : _OPEN_INSTANCE
- mem : JIT_BPF_Filter
- mem_ex : _OPEN_INSTANCE
- MinToCopy : _OPEN_INSTANCE
- mode : _OPEN_INSTANCE
- Multiple_Write_Counter : _OPEN_INSTANCE

### - n -

- n_left : chunk
- naddr : rpcap_findalldevs_if
- name : dlt_choice, pcap_if
- namelen : rpcap_findalldevs_if
- Nbytes : _OPEN_INSTANCE
- NdisProtocolHandle : _DEVICE_EXTENSION
- netmask : rpcap_findalldevs_ifaddr, pcap_addr
- NewP : __CPU_Private_Data
- next : activehosts, pcap_addr, pcap_if
- nitems : rpcap_filter
- Npackets : _OPEN_INSTANCE
- npkt : rpcap_pkthdr
- nullAuthAllowed : daemon_slpars
- NumWrites : _ADAPTER
- Nwrites : _OPEN_INSTANCE

### - o -

- Oid : _PACKET_OID_DATA
- OpenCloseIrp : _OPEN_INSTANCE
- OverLapped : _PACKET

### - p -

- P : __CPU_Private_Data
- PacketPool : _OPEN_INSTANCE
- password : pcap_rmtauth
- pkt : pkt_for_fakecallback, singleton
- plen : rpcap_header
- pMdl : _PACKET_RESERVED
- port : active_pars
- portdata : rpcap_startcapreply, rpcap_startcapreq
- Processing : __CPU_Private_Data
- ps_drop : pcap_stat
- ps_ifdrop : pcap_stat, bpf_stat
- ps_recv : pcap_stat

### - r -

- read_timeout : rpcap_startcapreq
- ReaderSN : _OPEN_INSTANCE
- ReadEvent : _OPEN_INSTANCE, _ADAPTER
- ReadEventHandle : _OPEN_INSTANCE
- ReadEventName : _OPEN_INSTANCE
- ReadTimeOut : _ADAPTER
- Received : __CPU_Private_Data
- refs : binary_stream
- Request : _INTERNAL_REQUEST
- RequestList : _OPEN_INSTANCE
- Requests : _OPEN_INSTANCE
- RequestSpinLock : _OPEN_INSTANCE
- ResetIrpList : _OPEN_INSTANCE

### - s -

- sigfigs : pcap_file_header, packet_file_header
- Size : _OPEN_INSTANCE
- SkipProcessing : _OPEN_INSTANCE
- slen1 : rpcap_auth
- slen2 : rpcap_auth
- SN : PacketHeader
- snaplen : rpcap_startcapreq, pcap_file_header, packet_file_header
- sockctrl : daemon_slpars, activehosts
- SubnetMask : npf_if_addr
- svrcapt : rpcap_stats
- SymbolicLink : _ADAPTER

### - t -

- thiszone : pcap_file_header, packet_file_header
- TimeOut : _OPEN_INSTANCE
- timestamp_sec : rpcap_pkthdr
- timestamp_usec : rpcap_pkthdr
- tme : _OPEN_INSTANCE
- TransferMdl1 : __CPU_Private_Data
- TransferMdl2 : __CPU_Private_Data
- ts : pcap_pkthdr, sf_pkthdr, dump_bpf_hdr
- type : pcap_rmtauth, rpcap_auth, rpcap_header
- tzoff : rpcap_openreply

### - u -

- ulBytesReceived : _PACKET
- username : pcap_rmtauth

### - v -

- value : rpcap_header
- ver : rpcap_header
- version_major : pcap_file_header, packet_file_header
- version_minor : pcap_file_header, packet_file_header

### - w -

- WriteEvent : _OPEN_INSTANCE
- WriterSN : _OPEN_INSTANCE

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.